<?php

/**
* PHP Laravel model for File TGenBase class. Generated automatically, do not edit
* Generator by Evgeny Lavrik <e.lavrik@gsi.de>
* 6.6.2019
**/

namespace App;

use App\BaseModel;
use App\BaseModelVersioned;

class File extends BaseModel
{
  /**
   * Table name for this model
   *
   * @var string
   */
  protected $table = 'File';

  /**
   * Default column for dictionary building
   *
   * @var string
   */
  public const dictionaryColumn = 'FileName';

  /**
   * Model attributes with default values
   *
   * @var Array
   */
  protected $attributes = [
    'Id' => -1,
    'FileName' => '',
    'Description' => '',
    'Checksum' => '',
    'CreatedAt' => 0,
    'UpdatedAt' => 0,
    'UserId' => 0,
  ];

  /**
   * The attributes that are mass assignable.
   *
   * @var array
   */
  protected $fillable = ['Id', 'FileName', 'Description', 'Checksum', 'CreatedAt', 'UpdatedAt', 'UserId', ];

  /**
   * The attributes that should be cast to native types.
   *
   * @var array
   */
  protected $casts = [
  ];


  /**
   * Get versioned entity by FileName with version Id
   *
   * @param  mixed  FileName
   * @param  int|null  $rid
   * @return \App\File|mixed
   */
  public static function GetByFileName($FileName) {
    $perPage = request('per_page'); $page = request('page');
    return Cache::remember(static::class, 'GetByFileName', [$FileName,$perPage,$page], 600, function () use ($FileName, $perPage) {

      if (is_null($perPage))
        return static::GetBy()->where('FileName', 'like', '%'.$FileName.'%')->get();
      else
        return static::GetBy()->where('FileName', 'like', '%'.$FileName.'%')->paginate($perPage);

    });
  }

  /**
   * Get versioned entity by Description with version Id
   *
   * @param  mixed  Description
   * @param  int|null  $rid
   * @return \App\File|mixed
   */
  public static function GetByDescription($Description) {
    $perPage = request('per_page'); $page = request('page');
    return Cache::remember(static::class, 'GetByDescription', [$Description,$perPage,$page], 600, function () use ($Description, $perPage) {

      if (is_null($perPage))
        return static::GetBy()->where('Description', 'like', '%'.$Description.'%')->get();
      else
        return static::GetBy()->where('Description', 'like', '%'.$Description.'%')->paginate($perPage);

    });
  }

  /**
   * Get versioned entity by Checksum with version Id
   *
   * @param  mixed  Checksum
   * @param  int|null  $rid
   * @return \App\File|mixed
   */
  public static function GetByChecksum($Checksum) {
    $perPage = request('per_page'); $page = request('page');
    return Cache::remember(static::class, 'GetByChecksum', [$Checksum,$perPage,$page], 600, function () use ($Checksum, $perPage) {

      if (is_null($perPage))
        return static::GetBy()->where('Checksum', 'like', '%'.$Checksum.'%')->get();
      else
        return static::GetBy()->where('Checksum', 'like', '%'.$Checksum.'%')->paginate($perPage);

    });
  }

  /**
   * Get versioned entity by CreatedAt with version Id
   *
   * @param  mixed  CreatedAt
   * @param  int|null  $rid
   * @return \App\File|mixed
   */
  public static function GetByCreatedAt($CreatedAt) {
    $perPage = request('per_page'); $page = request('page');
    return Cache::remember(static::class, 'GetByCreatedAt', [$CreatedAt,$perPage,$page], 600, function () use ($CreatedAt, $perPage) {

      if (is_null($perPage))
        return static::GetBy()->where('CreatedAt', $CreatedAt)->get();
      else
        return static::GetBy()->where('CreatedAt', $CreatedAt)->paginate($perPage);

    });
  }

  /**
   * Get versioned entity by UpdatedAt with version Id
   *
   * @param  mixed  UpdatedAt
   * @param  int|null  $rid
   * @return \App\File|mixed
   */
  public static function GetByUpdatedAt($UpdatedAt) {
    $perPage = request('per_page'); $page = request('page');
    return Cache::remember(static::class, 'GetByUpdatedAt', [$UpdatedAt,$perPage,$page], 600, function () use ($UpdatedAt, $perPage) {

      if (is_null($perPage))
        return static::GetBy()->where('UpdatedAt', $UpdatedAt)->get();
      else
        return static::GetBy()->where('UpdatedAt', $UpdatedAt)->paginate($perPage);

    });
  }

  /**
   * Get versioned entity by UserId with version Id
   *
   * @param  mixed  UserId
   * @param  int|null  $rid
   * @return \App\File|mixed
   */
  public static function GetByUserId($UserId) {
    $perPage = request('per_page'); $page = request('page');
    return Cache::remember(static::class, 'GetByUserId', [$UserId,$perPage,$page], 600, function () use ($UserId, $perPage) {

      if (is_null($perPage))
        return static::GetBy()->where('UserId', $UserId)->get();
      else
        return static::GetBy()->where('UserId', $UserId)->paginate($perPage);

    });
  }

}

