<?php

namespace App\Helpers;

/**
 *  Helper to validate and transform requests
 */

class RequestHelper
{
  /**
   *  Transforms array of objects with Ids into array of Ids and validates them to be integer
   */
  public static function GetArrayOfIds($paramName) {
    $input = request($paramName, []);
    if (sizeof($input) && (is_object($input[0]) || is_array($input[0]))) {
      $input = array_pluck($input, 'Id');
    }
    $input = array_unique($input);

    foreach ($input as $key => $value) {
      if (!filter_var($value, FILTER_VALIDATE_INT)) {
        throw new \App\Exceptions\AppException(422, 'Non integer Id passed: '.$value);
      }
    }

    return $input;
  }
}
