<?php

/**
 * Laravel - A PHP Framework For Web Artisans
 *
 * @package  Laravel
 * @author   Taylor Otwell <taylor@laravel.com>
 */


// Serve uploaded files directly without loading Laravel if allowed by config
// This wins me up to 50ms
require __DIR__.'/../app/Helpers/Environment.php';
$dictionary = (new \App\Helpers\Environment)->getDirectArray(['UPLOADS_FETCH_REQUIRES_AUTH','UPLOADS_PATH']);
$prefix = $dictionary['UPLOADS_PATH'] ?: 'up';
$requireAuth = $dictionary['UPLOADS_FETCH_REQUIRES_AUTH'] ?: 'false';

if ($requireAuth === 'false') {
  $uri = urldecode(
      parse_url($_SERVER['REQUEST_URI'], PHP_URL_PATH)
  );
  $uri = substr($uri, 1);

  $filePath = __DIR__.'/../storage/app/'.$uri;
  if (preg_match("/^{$prefix}\/.*/", $uri) && file_exists($filePath)) {
    $fileMime = mime_content_type($filePath);
    $fileSize = filesize($filePath);
    header($_SERVER["SERVER_PROTOCOL"] . " 200 OK");
    header('Access-Control-Allow-Headers: Origin, X-Requested-With, Content-Type, Accept, auth-token, Schema-Version, Server-Version, Client-Version, Client-Type');
    header("Access-Control-Allow-Origin: *");
    header("Content-Type: ".$fileMime);
    header("Content-Length: ".$fileSize);
    readfile($filePath);
    die();
  }
}

define('LARAVEL_START', microtime(true));

/*
|--------------------------------------------------------------------------
| Register The Auto Loader
|--------------------------------------------------------------------------
|
| Composer provides a convenient, automatically generated class loader for
| our application. We just need to utilize it! We'll simply require it
| into the script here so that we don't have to worry about manual
| loading any of our classes later on. It feels great to relax.
|
*/

require __DIR__.'/../vendor/autoload.php';

/*
|--------------------------------------------------------------------------
| Turn On The Lights
|--------------------------------------------------------------------------
|
| We need to illuminate PHP development, so let us turn on the lights.
| This bootstraps the framework and gets it ready for use, then it
| will load up this application so that we can run it and send
| the responses back to the browser and delight our users.
|
*/

$app = require_once __DIR__.'/../bootstrap/app.php';

/*
|--------------------------------------------------------------------------
| Run The Application
|--------------------------------------------------------------------------
|
| Once we have the application, we can handle the incoming request
| through the kernel, and send the associated response back to
| the client's browser allowing them to enjoy the creative
| and wonderful application we have prepared for them.
|
*/

$kernel = $app->make(Illuminate\Contracts\Http\Kernel::class);

$response = $kernel->handle(
    $request = Illuminate\Http\Request::capture()
);

$response->send();

$kernel->terminate($request, $response);
