#!/bin/bash

echo "You might be asked for sudo password"

# homebrew
if [[ ! `brew --version` ]]; then
  echo "Installing Homebrew..."
  if [[ "$OSTYPE" == "darwin"* ]]; then
    # macos
    /usr/bin/ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
    export HOMEBREW_PREFIX="/usr/local"
    echo 'export HOMEBREW_PREFIX=/usr/local' >>~/.bashrc;
  else
    # linux
    if [[ `apt-get --version` && ! `dpkg -l | grep build-essential` ]]; then
      sudo apt-get install build-essential curl file git
    fi

    if [[ `yum --version` && ! `yum grouplist installed | grep 'Development Tools'` ]]; then
      sudo yum groupinstall 'Development Tools'
    fi

    sh -c "$(curl -fsSL https://raw.githubusercontent.com/Linuxbrew/install/master/install.sh)"

    if [[ -d /home/linuxbrew/.linuxbrew/ ]]; then eval $(/home/linuxbrew/.linuxbrew/bin/brew shellenv) && echo 'eval $(/home/linuxbrew/.linuxbrew/bin/brew shellenv)' >>~/.bashrc; fi;
    if [[ -d ~/.linuxbrew/bin/brew/ ]]; then eval $(~/.linuxbrew/bin/brew shellenv) && echo 'eval $(~/.linuxbrew/bin/brew shellenv)' >>~/.bashrc; fi;
  fi
fi

# node
if [[ ! `node --version | grep v10.` ]]; then
  brew install node@10
  export PATH="$HOMEBREW_PREFIX/opt/node@10/bin/:$PATH"
  echo 'export PATH="$HOMEBREW_PREFIX/opt/node@10/bin/:$PATH"' >> ~/.bashrc
fi
