// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue';
Vue.config.productionTip = false;

// Empty or URL without trailing slash, example: http://localhost:8000
window.DefaultTGenBaseURL = '';
String.prototype.explode = function() { return this.replace(/([a-z][A-Z])/g, (val) => { return val[0] + ' ' + val[1] }) };
String.prototype.snakeCase = function() { return this.replace(/([a-z][A-Z])/g, (val) => { return val[0] + '_' + val[1] }).toLowerCase() }

import project from '@/project.js';
project();

import Interceptors from '@/services/Interceptors.js';
Interceptors();

import store from '@/store/index.js';
store.dispatch('restoreState');

import App from './App';

import 'font-awesome/scss/font-awesome.scss';
import Buefy from 'buefy';
Vue.use(Buefy, {
    defaultIconPack: 'fa'
  });

import router from './router';

/* eslint-disable no-new */
new Vue({
  el: '#app',
  store,
  router,
  template: '<App/>',
  components: { App }
});