import Authorization from '@/services/Authorization.js'

export default function CheckPermissions (router) {
  router.beforeEach((to, from, next) => {
    let authorized = undefined;

    if (to.meta.access !== undefined) {
      authorized = Authorization.authorize(
        to.meta.access.requiresLogin,
        to.meta.access.requiredRole,
      );

      if (authorized === 'loginRequired') {
        next({
          name: 'login',
        });
        return;
      }

      if (authorized === 'unauthorized') {
        if (App.showError) App.showError('Unauthorized');
        next({
          name: 'root',
        });
        return;
      }
    }

    next();
  })
}