export default function Redirect (router) {
  /**
    * If the user is already authenticated he shouldn't be able to visit
    * pages like login, register, etc...
    */
  router.beforeEach((to, from, next) => {
    let token = window.localStorage.getItem('auth-token')
    /**
     * Checks if there's a token and the next page name is none of the following
     */
    if ((token) && (to.name === 'login')) {
      next({
        name: 'root',
      });
    }

    next()
  })
}