import * as UserStatus from '@/components/Auth/UserStatus.js';
import * as UserRole from '@/components/Auth/UserRole.js';

export default {
  authorize (requiresLogin, requiredRole) {
    let user = window.App && window.App.store.getters.user || undefined;
    let token = window.App && window.App.store.getters.token || undefined;

    if (requiresLogin === false || requiredRole === UserRole.Unknown)
      return 'authorized';

    if (requiresLogin === true && (token === undefined && user === undefined)) {
        return 'loginRequired';
    }

    if ((requiresLogin === true && token !== undefined) && (requiredRole === undefined)) {
        return 'authorized';
    }

    if (user.Status != UserStatus.Active) {
      return 'unauthorized';
    }

    if (requiredRole) {
      return user.Role >= requiredRole ? 'authorized' : 'unauthorized';
    }

    return 'unauthorized';
  }
}