import Static from '@/js/Static.js'

class Relation {
  constructor(object) {
    if (!object)
      object = {};
    this.className = object.className || '';
    this.type = object.type || Static.relationTypes[0];
    this.property = object.property || '';
    this.backwardProperty = object.backwardProperty || '';
  };

  copyFrom(other) {
    this.className = other.className;
    this.type = other.type;
    this.property = other.property;
    this.backwardProperty = other.backwardProperty || '';
  };

  clear() {
    this.className = '';
    this.type = Static.relationTypes[0];
    this.property = '';
    this.backwardProperty = '';
  };

  getProject() {
    let project = this.className.split('::')[0]
    return project === this.className ? '' : project;
  };

  getClass() {
    return this.className.split('::')[1] || this.className;
  };

  isHasOneRelation() {
    return this.type === 'Has One';
  };

  isHasManyRelation() {
    return this.type === 'Has Many';
  };

  isManyToManyRelation() {
    return this.type === 'Belongs to Many';
  };
};

export default Relation
