const Static = {
  idField: { friendlyType: 'Integer', name: 'Id', cxxType: 'int', defaultValue: '-1', pythonDefaultValue: '-1', jsDefaultValue: '-1', phpDefaultValue: '-1', phpDbType: 'integer', searcheable: true },
  createdAtField: {friendlyType: 'TimeStamp', name: 'CreatedAt', cxxType:'TimeStamp', defaultValue:'TimeStamp()', pythonDefaultValue: '0', jsDefaultValue: 'new Date(0)', phpDefaultValue: '0', phpDbType: 'unsignedInteger', searcheable: true },
  updatedAtField: {friendlyType: 'TimeStamp', name: 'UpdatedAt', cxxType:'TimeStamp', defaultValue:'TimeStamp()', pythonDefaultValue: '0', jsDefaultValue: 'new Date(0)', phpDefaultValue: '0', phpDbType: 'unsignedInteger', searcheable: true },
  createdByUserIdField: {friendlyType: 'Integer', name: 'CreatedByUserId', cxxType:'int', defaultValue:'0', pythonDefaultValue: '0', jsDefaultValue: '0', phpDefaultValue: '0', phpDbType: 'integer', searcheable: true },
  updatedByUserIdField: {friendlyType: 'Integer', name: 'UpdatedByUserId', cxxType:'int', defaultValue:'0', pythonDefaultValue: '0', jsDefaultValue: '0', phpDefaultValue: '0', phpDbType: 'integer', searcheable: true },

  types: [{friendlyType: 'Integer', cxxType:'int', defaultValue:'0', pythonDefaultValue: '0', jsDefaultValue: '0', phpDefaultValue: '0', phpDbType: 'integer' },
          {friendlyType: 'Long Integer', cxxType:'long', defaultValue:'0', pythonDefaultValue: '0', jsDefaultValue: '0', phpDefaultValue: '0', phpDbType: 'bigInteger' },
          {friendlyType: 'Float', cxxType:'float', defaultValue:'0.f', pythonDefaultValue: '0.', jsDefaultValue: '0.', phpDefaultValue: '0.', phpDbType: 'float' },
          {friendlyType: 'Double', cxxType:'double', defaultValue:'0.', pythonDefaultValue: '0.', jsDefaultValue: '0.', phpDefaultValue: '0.', phpDbType: 'double' },
          {friendlyType: 'Boolean', cxxType:'bool', defaultValue:'false', pythonDefaultValue: 'False', jsDefaultValue: 'false', phpDefaultValue: 'false', phpDbType: 'boolean' },
          {friendlyType: 'String', cxxType:'std::string', defaultValue:'""', pythonDefaultValue: '""', jsDefaultValue: '""', phpDefaultValue: '\'\'', phpDbType: 'text' },
          {friendlyType: 'TimeStamp', cxxType:'TimeStamp', defaultValue:'TimeStamp()', pythonDefaultValue: '0', jsDefaultValue: 'new Date(0)', phpDefaultValue: '0', phpDbType: 'unsignedInteger' },
          {friendlyType: 'Integer Vector', cxxType:'std::vector<int>', defaultValue:'{}', pythonDefaultValue: '[]', jsDefaultValue: '[]', phpDefaultValue: '[]', phpDbType: 'text' },
          {friendlyType: 'Double Vector', cxxType:'std::vector<double>', defaultValue:'{}', pythonDefaultValue: '[]', jsDefaultValue: '[]', phpDefaultValue: '[]', phpDbType: 'text' },
          {friendlyType: '2D Integer Vector', cxxType:'std::vector< std::vector<int> >', defaultValue:'{}', pythonDefaultValue: '[]', jsDefaultValue: '[]', phpDefaultValue: '[]', phpDbType: 'text' },
          {friendlyType: '2D Double Vector', cxxType:'std::vector< std::vector<double> >', defaultValue:'{}', pythonDefaultValue: '[]', jsDefaultValue: '[]', phpDefaultValue: '[]', phpDbType: 'text' },
          ],
  subTypes: [ { name: '', regex: '' },
              { name: 'URL', regex: ''},
              // { name: 'URL', regex: 'https?:\/\/(www\.)?[-a-zA-Z0-9@:%._\+~#=]{2,256}\.[a-z]{2,6}\b([-a-zA-Z0-9@:%_\+.~#?&//=]*)'},
              { name: 'Email', regex: '^\S+@\S+\.\S+$'},
              { name: 'Latex', regex: ''},
              { name: 'DOI', regex: ''},
              { name: 'Arxiv', regex: "(^\\d{4}\\.\\d{5}$|^$)"}],

  relationTypes: ['Has One', 'Has Many', 'Belongs to Many'],
  createdByUserRelation: {className: 'TGenBase::User', type: 'Has One', property: 'CreatedByUser', backwardProperty: ''},
  updatedByUserRelation: {className: 'TGenBase::User', type: 'Has One', property: 'UpdatedByUser', backwardProperty: ''},

  defaultValues: ['0', '0.f', '0.', '""', '{}', 'true', 'false', 'TimeStamp()'],
  defaultIncludes: ['DataType', 'TGenBaseGenericParSet', 'TString', 'TObjArray', 'Rtypes', 'json/json'],
  rootClasses: [ 'TArrow', 'TBits', 'TCanvas', 'TEllipse', 'TF1', 'TF2', 'TGraph', 'TGraph2D', 'TGraphAsymmErrors', 'TGraphErrors', 'TGraphPolar', 'TH1D', 'TH1F', 'TH2D', 'TH2F', 'TH2Poly', 'TH3D', 'TH3F', 'THStack', 'TLatex', 'TLegend', 'TMathText', 'TMultiGraph', 'TPolyLine', 'TPolyMarker3', 'TProfile', 'TProfile2D', 'TSpline', 'TTree' ],
  // badNames: ['Name', 'Title', 'Author', 'DataType', 'DbEntry', 'Detector', 'DetectorId',
  //            'Version', 'ValInterval', 'TableName', 'TimeEnd', 'TimeStart', 'SeqNo',
  //            'Reader', 'ParamReader', 'Writer', 'ParamWriter', 'Owner', 'LogTitle', 'Id',
  //            'ComboNo', 'CompId', 'AggregateNo', 'Context', 'ContextName', 'TableDefinition',
  //            'All', 'AllVersions', 'Array'],
  badNames: ['User', 'TimeStamp'],
  sampleRegex: ['^[a-zA-Z0-9]*$',
                '[[:alnum:]]+',
                '[[:ascii:]]{10,}',
                '^\S+@\S+\.\S+$',
                'https?:\/\/(www\.)?[-a-zA-Z0-9@:%._\+~#=]{2,256}\.[a-z]{2,6}\b([-a-zA-Z0-9@:%_\+.~#?&//=]*)',
                ],
}

export default Static
