const TemplateMixin = {
  props: ['cls', 'proj'],

  data() {
    return {
      classDef: undefined,
      project: undefined,
    }
  },

  created() {
    this.classDef = this.cls ? this.cls : window.classDef;
    this.project = this.proj ? this.proj : window.project;
  },

  mounted() {
    let options = {
      readAsDefault: "Text",
      on: {
        load: function (event, file) {
          this.$emit('file-uploaded', event.target.result);
        }.bind(this)
      }
    };

    // FileReaderJS.setupInput(document.getElementById('file-input'), options);

    let pre = this.$el.getElementsByTagName('pre')[0]
    if (pre) {
      this.$emit('rendered', [ this, pre.attributes["project-path"].nodeValue, pre.innerText ]);
    }
  },

  computed: {
    header: function() { return this.classDef.name.toUpperCase() + "_H"; },

    date: function() {
      let date = new Date();
      return [date.getDate(), date.getMonth()+1, date.getFullYear()].join('.');
    },
  },

  methods: {
  },
}

export default TemplateMixin
