// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue';
import App from './App';
import router from './router';

import Clipboard from 'clipboard';
new Clipboard('.clipboard');

import Project from '@/js/Project.js';

import '@/vendor/filereader.js';
import 'font-awesome/scss/font-awesome.scss';
import 'bulma/bulma.sass';
import Buefy from 'buefy'
Vue.use(Buefy, {
    defaultIconPack: 'fa'
  });

Vue.config.productionTip = false;

window.labviewWSURL = 'http://pipc40.am15.uni-tuebingen.de:5222';
window.schemaStoreFetchURL = 'https://git.cbm.gsi.de/api/v4/projects/TGenBase%2FSchemaStore/repository/tree?recursive=1';

window.project = Project.restore();
window.projectCopy = JSON.parse(JSON.stringify(window.project));

String.prototype.explode = function() { return this.replace(/([a-z][A-Z])/g, (val) => { return val[0] + ' ' + val[1] }) }
String.prototype.snakeCase = function() { return this.replace(/([a-z][A-Z])/g, (val) => { return val[0] + '_' + val[1] }).toLowerCase() }
String.prototype.trimId = function() { return this.replace(/Id$/, '') }

/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  template: '<App/>',
  components: { App }
});
