import Vue from 'vue'
import Router from 'vue-router'
import Project from '@/components/Project'
import Generator from '@/components/Generator'

Vue.use(Router)

export default new Router({
  routes: [
    {
      path: '/',
      name: 'project',
      component: Project
    },
    {
      path: '/classgen',
      name: 'generator',
      component: Generator,
      props: (route) => ({ readonly: (route.params.readonly) }),
    },
    {
      path: '/git',
      name: 'git',
      beforeEnter(to, from, next) {
        window.location = "https://git.cbm.gsi.de/TGenBase";
      }
    },
    {
      path: '*',
      redirect: '/'
    },
  ]
})
