Hi, you have downloaded an automatically generated Python project with data description you defined in the TGenBase class generator.

So, how to proceed?

### Setup

You might need to install the dependencies first.

Using `pip` utility is the easiest way to start. You may use a system-wide python installation or proceed with a local
one by using the [virtualenv](https://virtualenv.pypa.io/en/stable/) utility.

To install the dependencies from the `pip.packages` file run:
```bash
pip install -r pip.packages
```

### Configuration

The TGenBase client for python needs to know where to fetch the data from.
Set up the`ServerURI` in the `TGenBaseClientConfig.json` file to point to a correct TGenBase database server installation.

The authentication information will be stored in this file between python sessions under the `AccessToken` configuration key.

### Querying data

To query any data you need to configure the client and auth with auth with TGenBase.

The simplest script can look like this:

```python
import TGenBase

user = TGenBaseUser.Login('user@example.com', 'very_secure/password')
print(user)
```

Assuming this script was saved in a file named `test.py` you can run it with

```bash
python test.py
```

By the way, this script is already provided. Go check it out!
