#!/bin/bash

echo "You might be asked for sudo password"

# homebrew
if [[ ! `brew --version` ]]; then
  echo "Installing Homebrew..."
  if [[ "$OSTYPE" == "darwin"* ]]; then
    # macos
    /usr/bin/ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
    export HOMEBREW_PREFIX="/usr/local"
    echo 'export HOMEBREW_PREFIX=/usr/local' >>~/.bashrc;
  else
    # linux
    if [[ `apt-get --version` && ! `dpkg -l | grep build-essential` ]]; then
      sudo apt-get install build-essential curl file git
    fi

    if [[ `yum --version` && ! `yum grouplist installed | grep 'Development Tools'` ]]; then
      sudo yum groupinstall 'Development Tools'
    fi

    sh -c "$(curl -fsSL https://raw.githubusercontent.com/Linuxbrew/install/master/install.sh)"

    if [[ -d /home/linuxbrew/.linuxbrew/ ]]; then eval $(/home/linuxbrew/.linuxbrew/bin/brew shellenv) && echo 'eval $(/home/linuxbrew/.linuxbrew/bin/brew shellenv)' >>~/.bashrc; fi;
    if [[ -d ~/.linuxbrew/bin/brew/ ]]; then eval $(~/.linuxbrew/bin/brew shellenv) && echo 'eval $(~/.linuxbrew/bin/brew shellenv)' >>~/.bashrc; fi;
  fi
fi

# wget and php
if [[ ! `php --version | grep 7.2` ]]; then
  brew install php@7.2
  export PATH="$HOMEBREW_PREFIX/opt/php@7.2/bin:$PATH"
  echo 'export PATH="$HOMEBREW_PREFIX/opt/php@7.2/bin:$PATH"' >> ~/.bashrc
fi

# composer
if [[ ! `composer --version` ]]; then
  brew install wget
  wget https://getcomposer.org/installer -O composer-setup.php
  mkdir -p ~/.composer/vendor/bin/
  php composer-setup.php --install-dir ~/.composer/vendor/bin/ --filename composer
  rm composer-setup.php
  export PATH="~/.composer/vendor/bin/:$PATH"
  echo 'export PATH="~/.composer/vendor/bin/:$PATH"' >> ~/.bashrc
fi
