set(TGENBASECLIENT_VERSION 28564902df88b5be580542de7c36b028bf60417b) # commit hash
set(TGENBASECLIENT_SRC_URL "https://git.cbm.gsi.de/TGenBase/CxxClient.git")
set(TGENBASECLIENT_DESTDIR "${CMAKE_BINARY_DIR}/external/TGENBASECLIENT-prefix")
set(TGENBASECLIENT_LIBNAME "${CMAKE_SHARED_LIBRARY_PREFIX}TGenBaseClient${CMAKE_SHARED_LIBRARY_SUFFIX}")

download_project_if_needed(PROJECT         TGenBaseClient_source
                           GIT_REPOSITORY  ${TGENBASECLIENT_SRC_URL}
                           GIT_TAG         ${TGENBASECLIENT_VERSION}
                           SOURCE_DIR      ${CMAKE_CURRENT_SOURCE_DIR}/TGenBaseClient
                           TEST_FILE       CMakeLists.txt
                          )

If(ProjectUpdated)
  File(REMOVE_RECURSE ${TGENBASECLIENT_DESTDIR})
  Message("TGenBaseClient source directory was changed so build directory was deleted")
EndIf()

ExternalProject_Add(TGENBASECLIENT
  BUILD_IN_SOURCE 0
  SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/TGenBaseClient
  BUILD_BYPRODUCTS ${TGENBASECLIENT_LIBRARY}
  LOG_DOWNLOAD 1 LOG_CONFIGURE 1 LOG_BUILD 1 LOG_INSTALL 1
  CMAKE_ARGS -G ${CMAKE_GENERATOR}
             -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE}
             -DCMAKE_C_COMPILER=${CMAKE_C_COMPILER}
             -DCMAKE_C_FLAGS=${CMAKE_C_FLAGS}
             -DCMAKE_CXX_COMPILER=${CMAKE_CXX_COMPILER}
             -DCMAKE_CXX_FLAGS=${CMAKE_CXX_FLAGS}
             -DCMAKE_INSTALL_PREFIX=${CMAKE_BINARY_DIR}
             -DCMAKE_VERBOSE_MAKEFILE:BOOL=ON
  INSTALL_COMMAND  ${CMAKE_COMMAND} --build . --target install
)

add_library(TGenBaseClient SHARED IMPORTED)
set_target_properties(TGenBaseClient PROPERTIES IMPORTED_LOCATION ${CMAKE_BINARY_DIR}/lib)
add_dependencies(TGenBaseClient TGENBASECLIENT)

set(TGENBASECLIENT_LIB_DIR ${CMAKE_BINARY_DIR}/lib CACHE STRING "TGenBaseClient library directory")
set(TGENBASECLIENT_LIBRARIES ${TGENBASECLIENT_LIBNAME} CACHE STRING "TGenBaseClient libraries")
set(TGENBASECLIENT_INCLUDE_DIR "${CMAKE_BINARY_DIR}/include" CACHE STRING "TGenBaseClient include directory")
set(TGENBASECLIENT_FOUND TRUE CACHE BOOL "TGenBaseClient found")
