import * as AccessLevel from '@/components/Auth/AccessLevel.js';

import Admin from '@/components/Admin/Admin.vue';
import AdminRegisterUser from '@/components/Admin/RegisterUser.vue';
import AdminGetUser from '@/components/Admin/GetUser.vue';
// import AdminGetAllUsers from '@/components/Admin/GetAllUsers.vue'
import AdminServerConfig from '@/components/Admin/ServerConfig.vue';

export default function AdminRoutes (router) {
  router.addRoutes([
    {
      path: '/Admin/',
      name: 'admin',
      component: Admin,
      meta: {
        access: AccessLevel.Admin,
      },
    },
    {
      path: '/Admin/RegisterUser',
      name: 'admin-registeruser',
      component: AdminRegisterUser,
      meta: {
        access: AccessLevel.Admin,
      },
    },
    {
      path: '/Admin/GetUser/:Id',
      name: 'admin-getuser',
      component: AdminGetUser,
      props: (route) => ({ Id: Number(route.params.Id) || 0 }),
      meta: {
        access: AccessLevel.Admin,
      },
    },
    // {
    //   path: '/Admin/GetAllUsers/',
    //   name: 'admin-getallusers',
    //   component: AdminGetAllUsers,
    //   props: (route) => ({ Id: Number(route.params.Id) || 0 }),
    //   meta: {
    //     access: AccessLevel.Admin,
    //   },
    // },
    {
      path: '/Admin/ServerConfig',
      name: 'admin-server-config',
      component: AdminServerConfig,
      meta: {
        access: AccessLevel.Admin,
      },
    },

  ])
}