import * as AccessLevel from '@/components/Auth/AccessLevel.js'

import GetById from '@/components/User/GetById.vue'
import UserRegisterUser from '@/components/User/RegisterUser.vue';
import GetAll from '@/components/User/GetAll.vue'

export default function UserRoutes (router) {
  router.addRoutes([
    {
      path: '/User/GetById/:Id',
      name: 'user-getbyid',
      component: GetById,
      props: (route) => ({ Id: Number(route.params.Id) || 0 }),
      meta: {
        access: AccessLevel.Guest,
      },
    },
    {
      path: '/User/RegisterUser',
      name: 'user-registeruser',
      component: UserRegisterUser,
      meta: {
        access: AccessLevel.None,
      },
    },
    {
      path: '/User/GetAll/',
      name: 'user-getall',
      component: GetAll,
      props: (route) => ({ Id: Number(route.params.Id) || 0 }),
      meta: {
        access: AccessLevel.Admin,
      },
    },
  ])
}