import Vue from 'vue'
import Router from 'vue-router'
Vue.use(Router)

import Root from '@/components/Root.vue'
import Login from '@/components/Auth/Login.vue'

var router = new Router({
  routes: [
    {
      path: '/',
      name: 'root',
      component: Root
    },
    {
      path: '/auth/login',
      name: 'login',
      component: Login
    },
  ]
})

import Middleware from '@/router/middleware/Middleware.js'
Middleware(router)

import UserRoutes from '@/router/UserRoutes.js'
UserRoutes(router)

import AdminRoutes from '@/router/AdminRoutes.js'
AdminRoutes(router)

import FileRoutes from '@/router/FileRoutes.js'
FileRoutes(router)

export default router

