#!/bin/bash

pushd "$(dirname ${BASH_SOURCE[0]})"

if [[ "$OSTYPE" == "darwin"* ]]; then
  NUMOFCPU=`sysctl -n hw.ncpu`
else
  NUMOFCPU=`cat /proc/cpuinfo | grep processor | wc -l`
fi

# Build CMake project
mkdir -p build && pushd build
  cmake -DCMAKE_INSTALL_PREFIX=install ..

  nice make install -j$NUMOFCPU
popd

if [[ ! -d .git ]]; then
  git init > /dev/null
  git config user.name tgenbase
  git config user.email tgenbase@gsi.de
  git add . && git commit -m "Init" > /dev/null
fi

popd
