#!/bin/bash

pushd "$(dirname ${BASH_SOURCE[0]})"

SED="sed -i"
MD5="md5sum"
if [[ "$OSTYPE" == "darwin"* ]]; then
  SED="sed -i .back"
  MD5="md5"
fi

pushd gui/vue
  CKSUM=`ls -lAR src | $MD5`
  if [[ ! -f .md5 ]] || [[ "$CKSUM" != `cat .md5` ]]; then
    npm install
    npm run build
  fi
  echo "$CKSUM" > .md5
popd

if [[ ! -d .git ]]; then
  git init > /dev/null
  git config user.name tgenbase
  git config user.email tgenbase@gsi.de
  git add . && git commit -m "Init" > /dev/null
fi

popd
