<?php

namespace App\Http\Middleware;

use Closure;

class CheckRoleMiddleware
{
    const ROLES = [
        'unknown' => '0',
        'guest' => '10',
        'operator' => '100',
        'admin' => '1000',
    ];

    /**
     * Handle an incoming request.
     *
     * @param \Illuminate\Http\Request $request
     * @param \Closure $next
     *
     * @return mixed
     */
    public function handle($request, Closure $next, $role)
    {
        // check minimum user role required
        if ($role === 'unknown')
            return $next($request);
        if (auth()->check() && auth()->user()->Role >= self::ROLES[$role]) {
            return $next($request);
        } else {
            return \App\Http\Response::Error("Permission denied", 403);
        }
    }
}
