<?php

namespace App\Http\Middleware;

use Closure;

class CheckStatusMiddleware
{
    const STATUSES = [
        'unknown' => '0',
        'disabled' => '1',
        'active' => '2',
    ];

    /**
     * Handle an incoming request.
     *
     * @param \Illuminate\Http\Request $request
     * @param \Closure $next
     *
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        if (!auth()->check()) {
            return $next($request);
        }

        if (auth()->user()->Status == 0) {
            return \App\Http\Response::Error("Account was not activated", 401);
        }

        if (auth()->user()->Status == 1) {
            return \App\Http\Response::Error("Account was suspended", 401);
        }

        if (auth()->user()->Status == 2) {
            return $next($request);
        }

        return \App\Http\Response::Error("Account status not recognized", 401);
    }
}
