<?php

namespace App\Http\Middleware;

use Closure;

class JsonApiMiddleware
{
    const PARSED_METHODS = [
        'POST'
    ];

    /**
     * Handle an incoming request.
     *
     * @param \Illuminate\Http\Request $request
     * @param \Closure $next
     *
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        $request->headers->set("X-Requested-With", "XMLHttpRequest");
        $request->headers->set("Content-Type", "application/json");
        $request->merge((array)json_decode($request->getContent(), true));

        return $next($request);
    }
}
