<?php

namespace App\Http;

use Illuminate\Contracts\Pagination\LengthAwarePaginator;

class Response
{
  public static function Error($message, $status = 422) {
    return \Response::json([
        'data' => null,
        'error' => $message,
      ], $status);
  }

  public static function Data($data, $status = 200, $jsonOptions = 0) {
    if ($data instanceof LengthAwarePaginator) {
      $data = $data->toArray();
      unset($data['first_page_url'], $data['last_page_url'], $data['next_page_url'], $data['path'], $data['prev_page_url']);
      $data['error'] = null;
      return \Response::json($data, $status, [], JSON_NUMERIC_CHECK | $jsonOptions);
    } else {
      return \Response::json([
          'data' => $data,
          'error' => null,
        ], $status, [], JSON_NUMERIC_CHECK | $jsonOptions);
    }
  }
}
