<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateUserTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('User', function (Blueprint $table) {
            $table->bigIncrements('SeqNo');
            $table->unsignedBigInteger('Id', false);
            $table->string('FullName')->default('');
            $table->string('Email')->default('');
            $table->string('Address')->default('');
            $table->integer('Role')->default(0);
            $table->integer('Status')->default(0);
            $table->string('Password')->default('');
            $table->unsignedInteger('CreatedAt');
            $table->unsignedInteger('UpdatedAt');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
}
